Bug 427892 - replace XMLRPC function editComponent with Component.update()
Summary: replace XMLRPC function editComponent with Component.update()
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: WebService   
(Show other bugs)
Version: 3.2
Hardware: All
OS: Linux
high
medium vote
Target Milestone: ---
Assignee: Noura El hawary
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHBZ30UpgradeTracker 406131 427053
TreeView+ depends on / blocked
 
Reported: 2008-01-08 02:02 UTC by Noura El hawary
Modified: 2013-06-24 04:18 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 20:35:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new WebService Module Component.pm with xmlrpc function edit() (4.62 KB, text/plain)
2008-01-16 07:27 UTC, Noura El hawary
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 419456 None None None Never

Description Noura El hawary 2008-01-08 02:02:22 UTC
write xmlrpc function editComponent that is to be contributed to the upstream.
Please refer to the following url for details on Bugzilla::RPC 2.18 functions mapped to upstream Bugzilla::WebService and for 2.18 xmlrpc functions sorted by percentage of calls: https://engineering.redhat.com/trac/bugzilla-3.0-rh/wiki/XmlrpcCrossComparison#a2.18xmlrpcfunctionssortedbypercentageofcalls

Comment 1 Noura El hawary 2008-01-16 07:27:37 UTC
Created attachment 291826 [details]
new WebService Module Component.pm with xmlrpc function edit()

attached is the new WebService module Component.pm I added to it xmlrpc
function edit() which should replace our function editComponent().

One thing we need to discuss is that ,, in our current rh_bugzilla_2_18 we have
in the xmlrpc function editComponent() code to re-assign bugs of the component,
I am not really sure if we have to do that for the new function attached here
which is edit() ?? In my opinion it is not necessary, and I think this
functionality is rarely used.

Noura

Comment 2 Noura El hawary 2008-01-22 05:11:26 UTC
LOC Estimation:

Inputs: hasref with component&product names and fields that will be edited = 1
Outputs: authentication errors , input validation errors, logging messages,
         hashref with changes details = 4
Inquiries: components data , user data, product data = 3
Logical files: Zero
External files = Zero

FP total count(simple weighting factor)= (3*1)+(4*4)+(3*3)+(7*0)+(5*0)= 25

FP = 25 * 1.11 = 28

LOC = 28 * 60 = 1680


For Unit testing:

100 LOC for one xmlrpc testcase

total LOC = 1680+100 = 1780 LOC

Comment 3 Noura El hawary 2008-02-25 16:23:28 UTC
changed the code for WebService Function Bugzilla::WebService::Component::update()
submitted code upstream for review.

Comment 4 Noura El hawary 2008-02-26 14:07:10 UTC
updated code to throw and error when updating name of multiple components of the
same product + added POD

Comment 5 David Lawrence 2008-03-18 20:33:46 UTC
This feature is included now in Milestone 2. Any bugs found with this feature
should be file as a new report and set to block the 3.2 final release tracker.


Note You need to log in before you can comment on or make changes to this bug.